Update server

Queues configuration changes and returns jobId/status/diff. A no-op returns success and message only. Deleting servers cannot be updated; deploying servers return 409.

Requires every scope: servers:write.

Authentication

AuthorizationBearer

JWT returned by POST /api/auth/token-exchange. Amazon and authorization invitations require API-key-derived tokens.

Path parameters

idintegerRequired

Storage/server/environment resource ID as applicable.

Request

This endpoint expects an object.
containerImagestringOptional>=1 character
containerTagstringOptional>=1 character
containerPortintegerOptional1-65535
healthCheckPathstringOptional>=1 character
desiredCountintegerOptional>=0
cpuintegerOptional>=0
memoryintegerOptional>=0
customEnvVarsmap from strings to stringsOptional
secretsmap from strings to stringsOptional
pinnedDigeststring or nullOptional

Response

Success
successboolean
messagestringOptional
statusstringOptional
jobIdintegerOptional
pinnedDigeststringOptional
diffmap from strings to anyOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error
503
Service Unavailable Error